Cyberduck Mountain Duck CLI

#8644 closed enhancement (wontfix)

Removed placeholder when the directory is no longer empty

Reported by: steven lai Owned by: dkocher
Priority: low Milestone:
Component: s3 Version: 4.6.5
Severity: minor Keywords: S3
Cc: Architecture:
Platform:

Description

Since S3 has no notion of directories, Cyberduck seems to be creating an empty file when you use the "new folder" command. Using the AWS-CLI (can install with homebrew, run "aws configure" after you install), I've verified that there is indeed a zero-byte file that seems to have a space character as its name. This is fine/needed when the directory is empty but once the directory has been populated then this "empty" file should be removed automatically. An alternative is to allow the user to see/delete this file since the user can do neither with Cyberduck at the moment.

Empty file that Cyberduck creates when creating new folders:

~ ❯❯❯ aws s3 ls s3://foo/bar
2015-03-05 17:02:01          0
2015-03-05 17:05:11          0 hello.world

Should be easily reproduced by the following steps:

  1. Create an new folder in S3
  2. Place a file in that folder that you just created
  3. Use some other means of displaying that directory (Cyberduck won't show it as far as I can tell)
  4. Note the empty placeholder file that was created along with the file you place in that new directory

Change History (3)

comment:1 Changed on Mar 21, 2015 at 8:35:12 PM by dkocher

The placeholder is a key with the name of the directory and a application/x-directory content type set.

comment:2 Changed on Mar 21, 2015 at 8:35:48 PM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Priority changed from normal to low
  • Severity changed from normal to minor
  • Summary changed from New folders in S3 creates empty file that isn't removed when the directory is no longer empty to Removed placeholder when the directory is no longer empty
  • Type changed from defect to enhancement

comment:3 Changed on Jun 25, 2015 at 9:54:55 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

The placeholder is deleted when removing the directory. If the placeholder would be automatically removed when uploading a file into it it would lead to unexpected results when removing all files from the path with the directory disappearing as well.

Note: See TracTickets for help on using tickets.
swiss made software